<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main_DrawerLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".fragment.MainFragment"
    tools:openDrawer="start">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@mipmap/bg_main">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/main_setting"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:background="@drawable/bg_main_setting"
            android:padding="4dp"
            app:layout_constraintBottom_toBottomOf="@id/main_title"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/main_title">

            <ImageView
                android:layout_width="28dp"
                android:layout_height="28dp"
                android:src="@drawable/icon_setting"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>


        <TextView
            android:id="@+id/main_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:text="@string/app_name"
            android:textColor="@color/white"
            android:textSize="28sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/main_search_cons"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="24dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/search_edit"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:paddingStart="20dp"
            android:paddingTop="10dp"
            android:paddingEnd="20dp"
            android:paddingBottom="10dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/main_title">

            <ImageView
                android:id="@+id/min_search"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:src="@drawable/icon_main_search"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <EditText
                android:id="@+id/main_edit"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginEnd="8dp"
                android:background="@android:color/transparent"
                android:hint="@string/search_hint_text"
                android:lines="1"
                android:maxLines="1"
                android:textColor="@color/search_text_color"
                android:textColorHint="@color/search_hint_text_color"
                android:textSize="19sp"
                app:layout_constraintEnd_toStartOf="@id/min_search"
                app:layout_constraintStart_toStartOf="parent" />


        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:id="@+id/banner_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="24dp"
            android:text="@string/main_banner_title"
            android:textColor="@color/color_main_setting"
            android:textSize="19sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/main_search_cons" />

        <com.youth.banner.Banner
            android:id="@+id/main_banner"
            android:layout_width="match_parent"
            android:layout_height="160dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="16dp"
            app:layout_constraintTop_toBottomOf="@id/banner_title" />

        <TextView
            android:id="@+id/for_you"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="24dp"
            android:text="@string/text_more"
            android:textColor="@color/color_main_setting"
            android:textSize="19sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/main_banner" />


        <LinearLayout
            android:id="@+id/main_view_all"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp"
            android:orientation="horizontal"
            android:paddingStart="10dp"
            android:paddingTop="4dp"
            android:paddingEnd="10dp"
            android:paddingBottom="4dp"
            app:layout_constraintBottom_toBottomOf="@+id/for_you"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/for_you">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/view_all"
                android:textColor="@color/white"
                android:textSize="15sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="2dp"
                android:layout_marginTop="1dp"
                android:background="@drawable/icon_viewall" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/main_rv"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="12dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/for_you" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="start"
        android:background="@color/black"
        android:clickable="true"
        android:focusable="true"
        android:paddingStart="16dp"
        android:paddingEnd="16dp">

        <TextView
            android:id="@+id/setting_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/setting_title"
            android:textColor="@color/white"
            android:textSize="33sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/share_cons"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            app:layout_constraintTop_toBottomOf="@id/setting_title">

            <ImageView
                android:id="@+id/share"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/icon_share"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="@string/share_text"
                android:textColor="@color/white"
                android:textSize="19sp"
                app:layout_constraintBottom_toBottomOf="@id/share"
                app:layout_constraintStart_toEndOf="@id/share"
                app:layout_constraintTop_toTopOf="@id/share" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:background="@drawable/icon_viewall"
                app:layout_constraintBottom_toBottomOf="@id/share"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@id/share" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/privacy_cons"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            app:layout_constraintTop_toBottomOf="@id/share_cons">

            <ImageView
                android:id="@+id/privacy"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/icon_privacy"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="@string/prevacy_text"
                android:textColor="@color/white"
                android:textSize="19sp"
                app:layout_constraintBottom_toBottomOf="@id/privacy"
                app:layout_constraintStart_toEndOf="@id/privacy"
                app:layout_constraintTop_toTopOf="@id/privacy" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:background="@drawable/icon_viewall"
                app:layout_constraintBottom_toBottomOf="@id/privacy"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@id/privacy" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/rate_cons"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            app:layout_constraintTop_toBottomOf="@id/privacy_cons">

            <ImageView
                android:id="@+id/rate"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/icon_rate"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="@string/rate_text"
                android:textColor="@color/white"
                android:textSize="19sp"
                app:layout_constraintBottom_toBottomOf="@id/rate"
                app:layout_constraintStart_toEndOf="@id/rate"
                app:layout_constraintTop_toTopOf="@id/rate" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:background="@drawable/icon_viewall"
                app:layout_constraintBottom_toBottomOf="@id/rate"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@id/rate" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:id="@+id/version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="20dp"
            android:text="@string/versionnumver_text"
            android:textColor="@color/version"
            android:textSize="17sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.drawerlayout.widget.DrawerLayout>